Bug 1563528 - qt-virt-viewer bundles parts from krdc-libs
Summary: qt-virt-viewer bundles parts from krdc-libs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: krdc
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/F1ash/qt-virt-mana...
Whiteboard:
Depends On:
Blocks: FE-BUNDLEDLIBS
TreeView+ depends on / blocked
 
Reported: 2018-04-04 05:55 UTC by Raphael Groner
Modified: 2018-12-19 14:32 UTC (History)
5 users (show)

Fixed In Version: qt-virt-manager-0.60.88-3.fc28 qt-virt-manager-0.60.88-3.fc26 qt-virt-manager-0.60.88-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-18 19:41:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2018-04-04 05:55:59 UTC
Description of problem:
qt-virt-viewer sources include an older state of some sources from krdc-libs.

Version-Release number of selected component (if applicable):
0.57.86

How reproducible:
yes

Steps to Reproduce:
1. look into sources
2.
3.

Actual results:
qt-virt-manager/src/vm_viewer/krdc_vnc_qtonly [1] includes files from krdc [2] :
core/remoteview.h|cpp
vnc/vncview.h|cpp
vnc/vncclientthread.h|cpp

Expected results:
try to unbundle and link to krdc-libs

Additional info:
[1] https://github.com/F1ash/qt-virt-manager/tree/master/src/vm_viewer/krdc_vnc_qtonly
[2] https://cgit.kde.org/krdc.git/tree/

Comment 2 Raphael Groner 2018-04-07 07:24:26 UTC
Just to let inform maintainers of krdc.

Comment 3 Raphael Groner 2018-04-14 17:02:17 UTC
We should add 'Provides: bundled(krdc-libs) = $version' into spec file.

Comment 4 Fl@sh 2018-04-18 07:11:21 UTC
(In reply to Raphael Groner from comment #3)
> We should add 'Provides: bundled(krdc-libs) = $version' into spec file.

Yes, it will be better. And then need to inform the krdc developers about improved krdc-[devel|libs] by adding

vnc/vncview.h|cpp
vnc/vncclientthread.h|cpp

and related...

Comment 5 Fedora Update System 2018-04-20 14:31:08 UTC
qt-virt-manager-0.60.88-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a702a6a347

Comment 6 Fedora Update System 2018-04-20 14:31:23 UTC
qt-virt-manager-0.60.88-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-709ccebcc5

Comment 7 Fedora Update System 2018-04-20 14:31:33 UTC
qt-virt-manager-0.60.88-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-675b5cc77f

Comment 8 Fedora Update System 2018-04-21 04:38:16 UTC
qt-virt-manager-0.60.88-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a702a6a347

Comment 9 Fedora Update System 2018-04-21 05:03:17 UTC
qt-virt-manager-0.60.88-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-675b5cc77f

Comment 10 Fedora Update System 2018-04-21 18:38:35 UTC
qt-virt-manager-0.60.88-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-709ccebcc5

Comment 11 Fedora Update System 2018-05-01 07:42:14 UTC
qt-virt-manager-0.60.88-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-05-01 13:18:07 UTC
qt-virt-manager-0.60.88-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-05-01 13:40:50 UTC
qt-virt-manager-0.60.88-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Raphael Groner 2018-07-22 05:44:43 UTC
I fail to see how this is solved. Upstream CMakeLists.txt bundles own headers.
https://github.com/F1ash/qt-virt-manager/blob/master/CMakeLists.txt#L147

Comment 15 Raphael Groner 2018-07-22 05:45:55 UTC
(In reply to Fl@sh from comment #4)
> (In reply to Raphael Groner from comment #3)
> > We should add 'Provides: bundled(krdc-libs) = $version' into spec file.
> 
> Yes, it will be better. And then need to inform the krdc developers about
> improved krdc-[devel|libs] by adding
> 
> vnc/vncview.h|cpp
> vnc/vncclientthread.h|cpp
> 
> and related...

Did you try to send your patches to krdc project?

Comment 16 Fl@sh 2018-07-23 05:34:09 UTC
I haven't any patches for it. This is work for krdc developers.

Comment 17 Jan Kurik 2018-08-14 10:56:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 18 Raphael Groner 2018-12-17 09:27:25 UTC
Any news here?
As stated in comment #16, maybe maintainer(s) of krdc can explain more details.

Comment 19 Rex Dieter 2018-12-18 19:41:43 UTC
I'm not able or interested in working on this request either, so I guess we can go with WONTFIX

Comment 20 Raphael Groner 2018-12-19 10:08:52 UTC
(In reply to Rex Dieter from comment #19)
> I'm not able or interested in working on this request either, so I guess we
> can go with WONTFIX

OK, maybe (and hopefully) upstream decides to do future development with better support for virtualization.

Comment 21 Rex Dieter 2018-12-19 14:32:49 UTC
Ideally yes, ideally interested parties (qt-virt-viewer devs primarily) to engage krdc upstream to let them know and collaborate on a mutually-beneficial solution.


Note You need to log in before you can comment on or make changes to this bug.